summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorNikolas Hermanns <nikolas.hermanns@ericsson.com>2016-12-01 12:40:02 -0500
committerNikolas Hermanns <nikolas.hermanns@ericsson.com>2016-12-01 12:43:53 -0500
commit5956208dd64f9e65a411baf1da3a285fd0b49517 (patch)
treefa0e6be2b1a0dd9749e78662ac62021739766e13 /ci
parent199e92bf52cc75046eb41daa917bf91a65708c9f (diff)
redo the libguestfs addition installation
Change-Id: I4cb801c1ffafe44a555ebfd32b35e7458c7596d6 Signed-off-by: Nikolas Hermanns <nikolas.hermanns@ericsson.com>
Diffstat (limited to 'ci')
-rwxr-xr-xci/dev_dep_check.sh15
1 files changed, 12 insertions, 3 deletions
diff --git a/ci/dev_dep_check.sh b/ci/dev_dep_check.sh
index 52643459..6814227e 100755
--- a/ci/dev_dep_check.sh
+++ b/ci/dev_dep_check.sh
@@ -64,11 +64,20 @@ virt_pkgs=(
'perl-Sys-Guestfs-1.32.7-3.el7.x86_64.rpm'
'python-libguestfs-1.32.7-3.el7.x86_64.rpm'
)
-
+dir=/tmp/packages.$RANDOM
+mkdir -p $dir
+pushd $dir
+all_packages=""
for pkg in ${virt_pkgs[@]}; do
if ! rpm -q ${pkg%-*-*}; then
- if ! sudo yum -y install $virt_uri_base/$pkg; then
- echo "ERROR: Failed to update $pkg"
+ if ! wget $virt_uri_base/$pkg; then
+ echo "ERROR: Failed to download $pkg"
fi
+ all_packages="$all_packages $pkg"
fi
done
+if [[ $all_packages != "" ]];then
+ yum install -y $all_packages
+fi
+rm -rf $dir
+popd